Bug 914447 - rtkit: FTBFS in rawhide
rtkit: FTBFS in rawhide
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rtkit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 05:17 EST by Dennis Gilmore
Modified: 2013-11-17 00:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-17 00:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rtkit configure fix (1.09 KB, patch)
2013-07-18 10:03 EDT, Mark Salter
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2013-02-22 05:17:35 EST
Your package rtkit failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4979395

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/9395/4979395/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/9395/4979395/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/9395/4979395/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-04-03 11:59:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Mark Salter 2013-07-18 10:03:07 EDT
Created attachment 775335 [details]
rtkit configure fix
Comment 3 Mark Salter 2013-07-18 10:05:26 EDT
I ran into this FTBFS problem for AArch64 as well. The problem is that mq_getattr() has moved to librt in newer glibc releases and -lrt is needed on the link line now. I used the attached patch to get this to build for f19 AArch64 (and verified that it builds on x86 also). It adds a configure check to test if -lrt is needed for mq_getattr().
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-11-17 00:22:54 EST
This has been fixed Colin Walters a while back.
I'm picking up your patch, because it is simpler than the current one.

Note You need to log in before you can comment on or make changes to this bug.